javax.resource.spi

## Interface LocalTransaction

-     public interface LocalTransaction

  LocalTransaction interface provides support for transactions that are managed internal to an EIS resource manager, and do not require an external transaction manager.

  A resource adapter implements the javax.resource.spi.LocalTransaction interface to provide support for local transactions that are performed on the underlying resource manager.

  If a resource adapter supports the LocalTransaction interface, then the application server can choose to perform local transaction optimization (uses local transaction instead of a JTA transaction for a single resource manager case).

  Version:
    0.5
  Author:
    Rahul Sharma
  See Also:
    `ManagedConnection`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin()` Begin a local transaction
    `void` | `commit()` Commit a local transaction
    `void` | `rollback()` Rollback a local transaction

- - ### Method Detail

    - #### begin

          void begin()
                     throws ResourceException

      Begin a local transaction
      Throws:
        `ResourceException` - generic exception if operation fails
        `LocalTransactionException` - error condition related to local transaction management
        `ResourceAdapterInternalException` - error condition internal to resource adapter
        `EISSystemException` - EIS instance specific error condition

    - #### commit

          void commit()
                      throws ResourceException

      Commit a local transaction
      Throws:
        `ResourceException` - generic exception if operation fails
        `LocalTransactionException` - error condition related to local transaction management
        `ResourceAdapterInternalException` - error condition internal to resource adapter
        `EISSystemException` - EIS instance specific error condition

    - #### rollback

          void rollback()
                        throws ResourceException

      Rollback a local transaction
      Throws:
        `ResourceException` - generic exception if operation fails
        `LocalTransactionException` - error condition related to local transaction management
        `ResourceAdapterInternalException` - error condition internal to resource adapter
        `EISSystemException` - EIS instance specific error condition

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.